/*****************************************************************************
 * Project: BaBar detector at the SLAC PEP-II B-factory
 * Package: AFit
 *    File: $Id: AFitFlatte.cc,v 1.5 2005/07/03 23:04:22 bevan Exp $
 * Authors:
 *    A Bevan (a.j.bevan@qmul.ac.uk)
 *
 * Copyright (C) 2009 QMUL
 *****************************************************************************/

// -- CLASS DESCRIPTION [AFit] --
// This class builds a Flatte distribution.

#include "AFit/AFitFlatte.hh"
#include "AFit/AFitFlattePdf.hh"
#ifdef __BABARROOFIT__
#else
#endif

#include "TIterator.h"

ClassImp(AFitFlatte)
  ;

AFitFlatte::AFitFlatte(RooAbsReal& x, TString name)
  : mean(name+"mean", "Mean of Gaussian", 0.01, -1.0, 1.0)
    , gpi(name+"gpi", "coupling g_pi", 1.0, 0.0, 10.0)
    , gk(name+"gpk", "coupling g_k", 0.5, 0.0, 10.0)
    , m0(name+"m0", "threshold mass", 0.980, 0.0, 10.0)
 {
  // Constructor
  _name     = name;

  _x = &x;
  varSet.addOwned(mean);
  varSet.addOwned(gpi);
  varSet.addOwned(gk);
  varSet.addOwned(m0);

  readDataCard();
}

void AFitFlatte::buildPdf() {
  _thePdf = new AFitFlattePdf(_name, "Flatte PDF", *_x, mean, gpi, gk, m0);
}
