void MuonLifetime() {
  cout << "MuonLifetime.cc ..................." << endl;
  AFitMaster master("AFit/example/MuonLifetime.txt");
  RooAbsPdf * pdf = master.getPdf();

  TFile f("AFit/example/MuonLifetime.root");
  TTree * tree = (TTree*)f.Get("data");

  RooArgSet * compSet = pdf->getComponents();
  RooArgSet * parSet  = pdf->getParameters(compSet);
  parSet.Print("v");

  RooRealVar * t = (RooRealVar*)parSet->find("t");

  t.Print();

  RooDataSet  data("data", "", tree, RooArgSet(*t));
  data.Print("v");

  pdf->fitTo(data, "etrm");
  t.SetTitle("#tau_{#mu} (#mus)");

  RooPlot * frame = t->frame();
  data.plotOn(frame);
  pdf.plotOn(frame);

  frame.SetTitle("");
  frame.Draw();
  c1.SetLogy();
  c1.Print("AFit/example/MuonLifetime.eps");
}

